// Forward Arming & Refueling Point  F.A.R.P. Addon v1.0c_BETA
// By REDCLOUD 11-8-01 updated 11-10-01
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7
#define TEmpty 8

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class Groups
     	{
         	units[] = {};
         	weapons[] = {};
         	requiredVersion = 1.10;
     	};
	class RCD_FARP_W 
	{
		units[] = {RCD_FARP_W};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class RCD_FARP_E 
	{
		units[] = {RED_FARP_E};
		weapons[] = {};
		requiredVersion = 1.10;
	};
        class RCD_I_FARP_W 
	{
		units[] = {RCD_I_FARP_W};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class RCD_I_FARP_E 
	{
		units[] = {RCD_I_FARP_E};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class RCD_CampEmpty_W 
	{
		units[] = {RCD_CampEmpty_W};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class RCD_CampEmpty_E 
	{
		units[] = {RCD_CampEmpty_E};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class RCD_FARPMarker 
	{
		units[] = {RCD_FARPMarker};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	 	
};
class CfgVehicles
{

        class All{};
	class Static: All{}; 
	class Building: Static{}; 
	class NonStrategic: Building{}; 
	class HeliH: NonStrategic{};
        
	class RCD_FARP_W: HeliH
	{
   		scope=2;
   		side=1;
   		model="Heli_H";
   		displayName="RCD_FARP";
   		vehicleClass="Air";
   		icon="Ammo_move";
   		nameSound="fuelstation";
   		accuracy=0.200000;
   		attendant=1;
   		typicalCargo[]={};   
   		transportAmmo=1000000;
   		transportRepair=12000;
   		transportFuel=12000;
   		mapSize=11;
   		cost=3000;
   		armor=200;
     			//class TransportMagazines
       			//{
				//class _xx_MachineGun30
				//{
					//magazine="MachineGun30";
					//count=6;
				//};
				//class _xx_HellfireLauncherCobra
				//{
					//magazine="HellfireLauncherCobra";
					//count=6;
				//};
				//class _xx_HellfireLauncherApach
				//{
					//magazine="HellfireLauncherApach";
					//count=6;
				//};
				//class _xx_ZuniLauncher38
				//{
					//magazine="ZuniLauncher38";
					//count=6;
				//};
				//class _xx_Browning
				//{
					//magazine="Browning";
					//count=6;
				//};

       			//};
	};
	class RCD_FARP_E: HeliH
	{
   		scope=2;
   		side=0;
   		model="Heli_H";
   		displayName="RCD_FARP";
   		vehicleClass="Air";
   		icon="Ammo_move";
   		nameSound="fuelstation";
   		accuracy=0.200000;
   		attendant=1;
   		typicalCargo[]={};   
   		transportAmmo=1000000;
   		transportRepair=12000;
   		transportFuel=12000;
   		mapSize=11;
   		cost=3000;
   		armor=200;
     			//class TransportMagazines
       			//{
				//class _xx_MachineGun30
				//{
					//magazine="MachineGun30";
					//count=6;
				//};
				//class _xx_HellfireLauncherHind
				//{
					//magazine="HellfireLauncherHind";
					//count=6;
				//};
				//class _xx_Rocket57x64
				//{
					//magazine="Rocket57x64";
					//count=6;
				//};
				//class _xx_Rocket57x192
				//{
					//magazine="Rocket57x192";
					//count=6;
				//};

       			//};
	};
	class HeliHEmpty: HeliH{};
	class RCD_I_FARP_W: HeliHEmpty
	{
   		scope=2;
   		side=1;
   		model="empty";
   		displayName="RCD_Inv_FARP";
   		vehicleClass="Air";
   		icon="Ammo_move";
   		nameSound="fuelstation";
   		accuracy=0.200000;
   		attendant=1;
   		typicalCargo[]={};   
   		transportAmmo=1000000;
   		transportRepair=12000;
   		transportFuel=12000;
   		mapSize=11;
   		cost=3000;
   		armor=200;
     			//class TransportMagazines
       			//{
				//class _xx_MachineGun30
				//{
					//magazine="MachineGun30";
					//count=6;
				//};
				//class _xx_HellfireLauncherCobra
				//{
					//magazine="HellfireLauncherCobra";
					//count=6;
				//};
				//class _xx_HellfireLauncherApach
				//{
					//magazine="HellfireLauncherApach";
					//count=6;
				//};
				//class _xx_ZuniLauncher38
				//{
					//magazine="ZuniLauncher38";
					//count=6;
				//};
				//class _xx_Browning
				//{
					//magazine="Browning";
					//count=6;
				//};

       			//};
	};
	class RCD_I_FARP_E: HeliHEmpty
	{
   		scope=2;
   		side=0;
   		model="empty";
   		displayName="RCD_Inv_FARP";
   		vehicleClass="Air";
   		icon="Ammo_move";
   		nameSound="fuelstation";
   		accuracy=0.200000;
   		attendant=1;
   		typicalCargo[]={};   
   		transportAmmo=1000000;
   		transportRepair=12000;
   		transportFuel=12000;
   		mapSize=11;
   		cost=3000;
   		armor=200;
     			//class TransportMagazines
       			//{
				//class _xx_MachineGun30
				//{
					//magazine="MachineGun30";
					//count=6;
				//};
				//class _xx_HellfireLauncherHind
				//{
					//magazine="HellfireLauncherHind";
					//count=6;
				//};
				//class _xx_Rocket57x64
				//{
					//magazine="Rocket57x64";
					//count=6;
				//};
				//class _xx_Rocket57x192
				//{
					//magazine="Rocket57x192";
					//count=6;
				//};

       			//};
	};
	class Strategic: Building{};	
	class Camp: Strategic{}; 
	class CampEmpty: Camp{};

	class RCD_CampEmpty_W: CampEmpty
	{
   		scope=2;
		side=1;
		vehicleClass="Objects";
   		model="stan_inside";
   		displayName="RCD_TENT_OPEN_W";
   		accuracy=1000;
	};

	class RCD_CampEmpty_E: CampEmpty
	{
   		scope=2;
		side=0;
		vehicleClass="Objects";
   		model="stan_inside";
   		displayName="RCD_TENT_OPEN_E";
   		accuracy=1000;
	};	

	class FlagCarrier: Strategic{};
	class AAA690: FlagCarrier{};
	class RCD_FARPMarker: AAA690 
	{
   		scope=2;
		side=6;
   		vehicleClass="Objects";
   		icon="vlajka";
   		displayName="RCD_FarpMarker";
		model=\RCD_FARP\RCD_FarpFlag.p3d   		
   		mapSize=5;
	};
    
};
class CfgGroups
{
   class West
   	{
      	name="West"

	// WESTERN FARP group
      		class RCD_FARP
      		{
         	name="RCD_FARP";

		        class FARP
         		{
            		name="RCD_FARP";
						
				class Unit0
				{
				position[]={0,0,0};
					name="1";
					side=1;
					vehicle="RCD_FARP_W";
					rank="Sergeant";
					skill=0.200000;
				};
				class Unit1
				{
				position[]={16,0,0};
					name="2";
					side=1;
					vehicle="GAA180";
					rank="Private";
					skill=0.200000;
				};
				class Unit2
				{										position[]={3,6,0};
					name="3";
					side=1;
					vehicle="SoldierWCrew";
					rank="Corporal";
						
					skill=0.200000;
				};
				class Unit3
				{										position[]={6,12,0};
					name="4";
					side=1;
					vehicle="SoldierWCrew";
					rank="Corporal";
					
					skill=0.200000;
				};				
				class Unit4
				{										position[]={0,10,0};
					name="5";
					side=6;
					vehicle="RCD_FARPMarker";
					rank="Private";	
					skill=0.200000;
				};	
				class Unit5
				{										position[]={-12,0,0};
					name="6";
					side=1;
					vehicle="HeavyReammoBoxWest";
					rank="Private";
					skill=0.200000;
				};
				class Unit6
				{
				position[]={-12,-1,0};
					name="7";
					side=1;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit7
				{
				position[]={16,10,0};
					name="8";
					side=1;
					vehicle="RCD_CampEmpty_W";
					rank="Private";
					skill=0.200000;
				};
				class Unit8
				{
				position[]={-14,-2,0};
					name="9";
					side=1;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit9
				{
				position[]={-12,-3,0};
					name="10";
					side=1;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit10
				{
				position[]={-15,-4,0};
					name="11";
					side=1;
					vehicle="Shed";
					rank="Private";
					skill=0.200000;
				};
			
			};
		};
	};
     class East
   	{
      	name="East"

	// Eastern FARP group
      		class RCD_FARP
      		{
         	name="RCD_FARP";

         		class FARP
         		{
            		name="RCD_FARP";
		
			
				
				class Unit0
				{
				position[]={0,0,0};
					name="1";
					side=0;
					vehicle="RCD_FARP_E";
					rank="Sergeant";
					skill=0.200000;
				};
				class Unit1
				{
				position[]={16,0,0};
					name="2";
					side=0;
					vehicle="GAA180";
					rank="Private";
					skill=0.200000;
				};
				class Unit2
				{										position[]={3,6,0};
					name="3";
					side=0;
					vehicle="SoldierECrew";
					rank="Corporal";
						
					skill=0.200000;
				};
				class Unit3
				{										position[]={6,12,0};
					name="4";
					side=0;
					vehicle="SoldierECrew";
					rank="Corporal";
					
					skill=0.200000;
				};				
				class Unit4
				{										position[]={0,10,0};
					name="5";
					side=6;
					vehicle="RCD_FARPMarker";
					rank="Private";	
					skill=0.200000;
				};	
				class Unit5
				{										position[]={-12,0,0};
					name="6";
					side=0;
					vehicle="HeavyReammoBoxEast";
					rank="Private";
					skill=0.200000;
				};
				class Unit6
				{
				position[]={-12,-1,0};
					name="7";
					side=0;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit7
				{
				position[]={16,10,0};
					name="8";
					side=0;
					vehicle="RCD_CampEmpty_E";
					rank="Private";
					skill=0.200000;
				};
				class Unit8
				{
				position[]={-14,-2,0};
					name="9";
					side=0;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit9
				{
				position[]={-12,-3,0};
					name="10";
					side=0;
					vehicle="Barrels";
					rank="Private";
					skill=0.200000;
				};
				class Unit10
				{
				position[]={-15,-4,0};
					name="11";
					side=0;
					vehicle="Shed";
					rank="Private";
					skill=0.200000;
				};
			
         };
      };
   };
};